<resources>

    <style name="AppTheme" parent="Theme.MaterialComponents.Light.NoActionBar">
        <item name="colorPrimary">@color/primary</item>
        <item name="colorPrimaryDark">@color/primary_dark</item>
        <item name="colorAccent">@color/accent</item>
    </style>

    <style name="LaunchTheme" parent="AppTheme">
        <item name="android:statusBarColor">@color/primary_dark</item>
        <item name="android:windowBackground">@drawable/launch_screen</item>
    </style>

    <style name="AppTheme.Button" parent="Widget.MaterialComponents.Button">
        <item name="backgroundTint">@drawable/selector_button</item>

        <item name="android:textAllCaps">true</item>
        <item name="android:textAppearance">@style/CaptionButton</item>
        <item name="android:textColor">@color/text_primary</item>

        <item name="android:paddingStart">16dp</item>
        <item name="android:paddingTop">8dp</item>
        <item name="android:paddingEnd">16dp</item>
        <item name="android:paddingBottom">8dp</item>

        <item name="android:insetTop">0dp</item>
        <item name="android:insetBottom">0dp</item>
    </style>

    <style name="AppTheme.TextButton" parent="Widget.MaterialComponents.Button.TextButton">
        <!--        <item name="rippleColor">@color/</item>-->

        <item name="android:textAllCaps">true</item>
        <item name="android:textAppearance">@style/CaptionButton</item>
        <item name="android:textColor">@color/text_primary</item>

        <item name="android:paddingStart">16dp</item>
        <item name="android:paddingTop">8dp</item>
        <item name="android:paddingEnd">16dp</item>
        <item name="android:paddingBottom">8dp</item>
    </style>

</resources>
